Bug 1040 - Missing feature in recycle.so - create mask on directorys
Missing feature in recycle.so - create mask on directorys
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 00:49 UTC by Hans Joergensen
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments
patch Implementing a directory_mode option for vfs_recycle (867 bytes, patch)
2004-07-30 14:52 UTC, Renaud Duhaut
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Joergensen 2004-02-06 00:49:07 UTC
Hello,

It would be nice if one could set the create mask on directorys created by
recycle.so, now they are all created with mask 0700, that don't work very well
in a multiuser enviroment.
Comment 1 Gerald (Jerry) Carter 2004-02-17 08:42:12 UTC
movning to samba 3 so we don't loose it.
Comment 2 Shane McMaster 2004-05-30 04:24:40 UTC
Hi

Just run into this problem myself. Would be nice is vfs_recycle honoured create
mode & directory mode to be compatible with shared user areas, maybe with an
option to override on a per share basis
Comment 3 Renaud Duhaut 2004-07-30 14:52:14 UTC
Created attachment 590 [details]
patch Implementing  a directory_mode option for vfs_recycle

This little patch add a new option to the module recycle.so called
"directory_mode"
Set it to the octal mode you want for the directories recreated in the recycle
bin.
Example :
recycle:directory_mode = 0770

This option has effect only if keeptree is set to True.

Tested on samba 3.0 et samba 3.0.5
Comment 4 Jeremy Allison 2005-06-13 10:41:51 UTC
Applied, thanks.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:24:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.